Commit import
curl --request POST \
--url https://api.sendrealm.com/imports/{import_id}/commit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Sendrealm-Project-Id: <x-sendrealm-project-id>' \
--data '
{
"prepared_action_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"idempotency_key": "<string>"
}
'const options = {
method: 'POST',
headers: {
'X-Sendrealm-Project-Id': '<x-sendrealm-project-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
prepared_action_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
idempotency_key: '<string>'
})
};
fetch('https://api.sendrealm.com/imports/{import_id}/commit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sendrealm.com/imports/{import_id}/commit"
payload = {
"prepared_action_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"idempotency_key": "<string>"
}
headers = {
"X-Sendrealm-Project-Id": "<x-sendrealm-project-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"status": 123,
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "contacts",
"format": "csv",
"status": "<string>",
"total_rows": 1,
"validated_rows": 1,
"applied_rows": 1,
"failed_rows": 1,
"skipped_rows": 1,
"automation_effects": "suppress",
"expires_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"poll_after_ms": 123,
"error_code": "<string>",
"upload_handoff": {
"url": "<string>",
"authentication_required": true,
"expires_at": "2023-11-07T05:31:56Z"
}
}
}Agent import API
Commit import
POST
/
imports
/
{import_id}
/
commit
Commit import
curl --request POST \
--url https://api.sendrealm.com/imports/{import_id}/commit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Sendrealm-Project-Id: <x-sendrealm-project-id>' \
--data '
{
"prepared_action_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"idempotency_key": "<string>"
}
'const options = {
method: 'POST',
headers: {
'X-Sendrealm-Project-Id': '<x-sendrealm-project-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
prepared_action_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
idempotency_key: '<string>'
})
};
fetch('https://api.sendrealm.com/imports/{import_id}/commit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sendrealm.com/imports/{import_id}/commit"
payload = {
"prepared_action_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"idempotency_key": "<string>"
}
headers = {
"X-Sendrealm-Project-Id": "<x-sendrealm-project-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"status": 123,
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "contacts",
"format": "csv",
"status": "<string>",
"total_rows": 1,
"validated_rows": 1,
"applied_rows": 1,
"failed_rows": 1,
"skipped_rows": 1,
"automation_effects": "suppress",
"expires_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"poll_after_ms": 123,
"error_code": "<string>",
"upload_handoff": {
"url": "<string>",
"authentication_required": true,
"expires_at": "2023-11-07T05:31:56Z"
}
}
}Requires a scoped personal key, explicit project selection, and current role authorization. See Agent imports for validation, consent, preparation, and recovery.
Authorizations
Integration key for backend workloads, or a scoped personal key (sr_user_) for account discovery and supported project operations. MCP accepts only personal keys.
Headers
Path Parameters
Body
application/json